# Uses of Interface
org.springframework.web.servlet.mvc.annotation.ModelAndViewResolver

Packages that use ModelAndViewResolver
Package
Description
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of ModelAndViewResolver in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return types with arguments of type ModelAndViewResolver
Modifier and Type
Method
Description
`List<ModelAndViewResolver>`
RequestMappingHandlerAdapter.`getModelAndViewResolvers()`
Return the configured `ModelAndViewResolvers`, or `null`.
Method parameters in org.springframework.web.servlet.mvc.method.annotation with type arguments of type ModelAndViewResolver
Modifier and Type
Method
Description
`void`
RequestMappingHandlerAdapter.`setModelAndViewResolvers(List<ModelAndViewResolver> modelAndViewResolvers)`
Provide custom `ModelAndViewResolvers`.
Constructor parameters in org.springframework.web.servlet.mvc.method.annotation with type arguments of type ModelAndViewResolver
Modifier
Constructor
Description
``
`ModelAndViewResolverMethodReturnValueHandler(List<ModelAndViewResolver> mavResolvers)`
Create a new instance.